# Install Job / Items

***

## 🧰 Items - Install

OX, QBCore items and item images

{% file src="/files/094rFWFRiHg8ip0dbhuj" %}

***

## 💼 Job - Install

### **QBCore** ⇒ How can you install job

{% hint style="info" %}
**You can follow this file path** ⇒ <mark style="color:yellow;">qb-core/shared/jobs.lua || qbx\_core/shared/jobs.lua</mark>
{% endhint %}

```lua
["hunter"] = {
		label = "Hunter",
		defaultDuty = true,
		offDutyPay = true,
		grades = {
				[0] = {
							name = "Hunter",
							payment = 0,
				},
		}
},
```

***

### ESX ⇒ How can you install job

By reading the SQL File below with ‘<mark style="color:yellow;">**phpmyadmin**</mark>’ or ‘<mark style="color:yellow;">**HeidiSQL**</mark>’ , you install the necessary contents of the jobs on your server.

```sql
CREATE TABLE IF NOT EXISTS `jobs` (
  `name` varchar(50) NOT NULL,
  `label` varchar(50) DEFAULT NULL,
  `whitelisted` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;

INSERT INTO `jobs` (`name`, `label`, `whitelisted`) VALUES
	('hunter', 'Hunter', 0);


CREATE TABLE IF NOT EXISTS `job_grades` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job_name` varchar(50) DEFAULT NULL,
  `grade` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `label` varchar(50) NOT NULL,
  `salary` int(11) NOT NULL,
  `skin_male` longtext NOT NULL,
  `skin_female` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;


INSERT INTO `job_grades` (`id`, `job_name`, `grade`, `name`, `label`, `salary`, `skin_male`, `skin_female`) VALUES
	(300, 'hunter', 0, 'employee', 'Hunter', 0, '{}', '{}');
```

***

{% hint style="success" %}
🥳🥳**Now you have installed the necessary ‘items’ and ‘’jobs‘’ for the hunting job to work on your server**.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-hunting/install-jobs-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
